Support tables (tracking)
Closed, ResolvedPublic

Assigned To
None
Priority
Low
Author
Jdforrester-WMF
Blocks
T4007: Tracking bug - Do Not Use; superseded by the #Tracking tag
Blocked By
T75379: Table column adding icon must be flipped for RTL
T75378: Table row selector is shown incorrectly in RTL
T71706: It's possible to delete a table's rows and columns but not the table, which is now invisible in VE but retains the wikitext
T74990: Tables - applying headings format to table cells will split the table
T74978: Tables - using keyboard to move cursor throws "TypeError: surfaceView.getNativeRangeBoundingClientRect is not a function"
T74949: Annotations can conflict with local CSS rules, e.g. bold text in headings
T74836: Tables - when editing content cell a blue cell border does not expand
T74831: Overwriting the text inside a cell does not retain the text format applied to that cell previously
T74833: MediaWiki: Lists inside captions end up outside of the table with Tidy enabled
T74825: Applying text formatting to empty cell does not format the text entered afterwards
T74824: IME selector shows up at the bottom-right corner of the table while selecting a cell on a table or placing a cursor into it
T74823: Pressing tab inside a cell when the cursor is active should taking it to the next cell, not to beginning of the document
T74819: Editing tables in Mobile - Edit mode displays broken tables
T74816: Tables - adding formatted headings to <visualeditor-table-caption> displays Uncaught TypeError
T74803: When the cursor is active inside a content cell , cannot insert any additional row or column to the table (or should we disable the row/column operator while user is inside a content cell?)
T74802: Regular context menu trying to render on TableSelections
T74790: Tables - multiple colspan and rowspan are not displayed correctly
T74784: Tables - saved tables look much smaller than in VE and display grayish background
T74599: Tables drop their class when pasted in IE11
T67416: Cells in tables are styled like regular paragraphs, and they shouldn't be
T72375: Deleting from an empty paragraph to the end of an inline node throws an exception
T72373: Categories incorrectly moved up, possibly due to improperly closed table
T55394: Broken wikitext inside a table leads to it and the table header being duplicated
T55214: Slugs are created inside empty table rows, creating pawns if used
T54535: Extra empty row in table causes new table containing a chess pawn to appear
T54181: Be able to add or remove tables, table rows and table columns
T54180: Be able to set table cell background (and other formatting options)
T54179: Be able to merge table cells (setting colspan/rowspan as appropriate)
T53772: Broken table, repeated section in diff after VisualEditor edit
Subscribers
Thryduulf, Jdforrester-WMF, Krenair and 10 others
Projects
Security
None
Story Points
0
Reference
bz39596
Description

This was a tracking bug when tasks were managed in Bugzilla. It has been replaced by the VisualEditor-Tables project.

bzimport set Reference to bz39596.
Jdforrester-WMF created this task.Via LegacyAug 23 2012, 10:41 PM
bzimport added a comment.Via ConduitJul 25 2013, 8:41 AM

tomte wrote:

By teaching groups for Wiki editing I found WYSIWYG support for tables most important.

Even elder people I can get accoustomed to markups like bold, links, headers / TOC, bullets, categories etc without WYSIWYG, but not for tables.

Editing Wiki tables in Libre Office makes them huge and no longer editable manually.

So table support is not just an option but a minimum feature - the "condition sine qua non" - for WYSIWYG support.
tomte , Member 542126 in WikiMedia Deutschland

Jdforrester-WMF changed the status of blocking task T74836: Tables - when editing content cell a blue cell border does not expand from "Declined" to "Resolved".Via WebNov 24 2014, 12:29 AM
Jdforrester-WMF changed the title from "VisualEditor: Support tables (tracking)" to "Support tables (tracking)".Via WebNov 24 2014, 2:22 AM
Jdforrester-WMF closed this task as "Resolved".
Jdforrester-WMF edited the task description. (Show Details)
Jdforrester-WMF set Security to None.
Jdforrester-WMF set Story Points to 0.Via WebWed, Aug 5, 12:19 AM
Jdforrester-WMF moved this task to TR1: Releases on the VisualEditor workboard.Via WebThu, Aug 13, 12:24 AM

Add Comment